services:

  lq_mysql:
    image: mysql:8.0.35
    container_name: lq_mysql
    restart: always

    volumes:
      - /home/lq/mysql/data/:/var/lib/mysql
      - /home/lq/mysql/etc/:/etc/mysql/conf.d
    environment:
      TZ: Asia/Shanghai  # 设置时区为上海（北京时间）
      MYSQL_ROOT_PASSWORD: lq123
    ports:
      - "13306:3306"
    networks:
      - lq_network



networks:
  lq_network:
    external: true
~                     